Personal Email Lookup Endpoint
Cost1 credit / email returnedFind personal email addresses associated with a given social media profile.
Authorization
BearerAuth clientAuthorizationBearer <token>
In: header
Scope: client
Query Parameters
profile_url?string
The Profile URL from which you wish to extract personal email addresses.
One of
profile_url | twitter_profile_url | facebook_profile_urltwitter_profile_url?string
The Twitter/X Profile URL from which you wish to extract personal email addresses.
One of
profile_url | twitter_profile_url | facebook_profile_urlfacebook_profile_url?string
The Facebook Profile URL from which you wish to extract personal email addresses.
One of
profile_url | twitter_profile_url | facebook_profile_urlemail_validation?string
How to validate each email.
Takes the following values:
none(default) - Do not perform email validation.fast- Perform fast email validation (does not cost extra credit).precise- Perform deliverability validation (costs 1 extra credit per email found).
For backward-compatibility these are also accepted:
include- Equivalent topreciseexclude- Equivalent tonone
page_size?string
This controls the maximum number of emails returned per API call. It's useful for limiting credit consumption as the number of emails per identity can vary. The default value is 0, meaning there's no limit to the number of returned results.
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/contact-api/personal-email?profile_url=https%3A%2F%2Fwww.linkedin.com%2Fin%2Fwilliamhgates&twitter_profile_url=https%3A%2F%2Fx.com%2Fenrichlayer&facebook_profile_url=https%3A%2F%2Fwww.facebook.com%2Fzuck&email_validation=include&page_size=0"{
"emails": [
"[email protected]",
"[email protected]",
"[email protected]"
],
"invalid_emails": []
}Empty
Empty
Empty
Empty
Empty
Empty
Empty